Subject: Re: [PATCH v2] doc: check-ignore: code-quote an exclamation mark

From: Junio C Hamano <[email-masked]>
Date: Thu, 03 Feb 2022 11:13:27 -0800

Philip Oakley <[email-masked]> writes:

> The plain quoted exclamation mark renders as italics in the
> Windows pdf help manual.

HTML rendered version shows <em>!</em> and depending on the
stylesheet it would become italic, too.  It can be seen in the
pre-rendered versions I ship at [1].

> Fix this with back-tick quoting and surrounding double quotes
> as exemplified by the gitignore.txt guide.

This becomes "<code>!</code>" (with surrounding double-quotes) [2],
and making these two pages consistent makes sense.

> While at it, fix  the surrounding double quotes for the other
> special characters usages.

This changes also sounds good, too.

Will apply.  Thanks.

[References]

*1* https://github.com/gitster/git-htmldocs/blob/master/git-check-ignore.html
*2* https://github.com/gitster/git-htmldocs/blob/master/gitignore.html

>
> Signed-off-by: Philip Oakley <[email-masked]>
> ---
>
> Since V1:
> Corrected finger trouble with special character when copy-pasting.
>
>  Documentation/git-check-ignore.txt | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
>
> diff --git a/Documentation/git-check-ignore.txt b/Documentation/git-check-ignore.txt
> index 0c3924a63d..2892799e32 100644
> --- a/Documentation/git-check-ignore.txt
> +++ b/Documentation/git-check-ignore.txt
> @@ -33,7 +33,7 @@ OPTIONS
>  	Instead of printing the paths that are excluded, for each path
>  	that matches an exclude pattern, print the exclude pattern
>  	together with the path.  (Matching an exclude pattern usually
> -	means the path is excluded, but if the pattern begins with '!'
> +	means the path is excluded, but if the pattern begins with "`!`"
>  	then it is a negated pattern and matching it means the path is
>  	NOT excluded.)
>  +
> @@ -77,7 +77,7 @@ If `--verbose` is specified, the output is a series of lines of the form:
>  <pathname> is the path of a file being queried, <pattern> is the
>  matching pattern, <source> is the pattern's source file, and <linenum>
>  is the line number of the pattern within that source.  If the pattern
> -contained a `!` prefix or `/` suffix, it will be preserved in the
> +contained a "`!`" prefix or "`/`" suffix, it will be preserved in the
>  output.  <source> will be an absolute path when referring to the file
>  configured by `core.excludesFile`, or relative to the repository root
>  when referring to `.git/info/exclude` or a per-directory exclude file.